# Text Editor
set -x EDITOR nvim
# ZFS GRUB
set -x ZPOOL_VDEV_NAME_PATH 1

# Compiler
set -x CC /usr/bin/clang
set -x CXX /usr/bin/clang++

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Aliases
alias f "fff"
alias xa "xbps-install -S"
alias xu "xbps-install -Su"
alias xc "xbps-remove -o"
alias xr "xbps-remove -Rf"
alias xq "xbps-query -Rs"
alias wlan "iw dev wlp2s0 scan | grep SSID"
alias bc "bc -l"
alias vim "nvim"
alias docker "podman"
alias docker-compose "podman-compose"

# Additional paths
set PATH /opt/texlive/2020/bin/x86_64-linux/ /bin /usr/bin /usr/local/bin /usr/local/sbin /usr/sbin /sbin
set PATH $PATH /$HOME/.local/bin
set PATH $PATH /$HOME/.local/share/go/bin
set PATH $PATH /$HOME/.emacs.d/bin

# Go workspace
set -x GOPATH $HOME/.local/share/go/

# fff favourites
set -x FFF_FAV1 $HOME/Documents/Uni
set -x FFF_FAV2 $HOME/Documents/Papers
set -x FFF_FAV3 $HOME/Documents/Books/Academic/
set -x FFF_FAV4 $HOME/Documents/Education/
